/*
  MicroMDAEPiano

  MicroMDAEPiano is a port of the MDA-EPiano sound engine
  (https://sourceforge.net/projects/mda-vst/) for the Teensy-3.5/3.6 with audio shield.

  (c)2019 H. Wirtz <wirtz@parasitstudio.de>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software Foundation,
  Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
*/

#include <LiquidCrystal_I2C.h>
#include <LiquidMenu.h>

#ifndef UI_HPP_INCLUDED
#define UI_HPP_INCLUDED

extern LiquidCrystal_I2C lcd;

LiquidMenu menu(lcd);

// Welcome screen
LiquidLine welcome_line1(1, 0, "MicroMDAEPiano");
LiquidLine welcome_line2(0, 1, "(c)parasiTstudio");
LiquidScreen welcome_screen(welcome_line1, welcome_line2);

// Welcome screen
LiquidLine main_line1(0, 0, "Volume:");
LiquidLine main_line2(0, 1, "Voice");
LiquidScreen main_screen(main_line1, main_line2);

void menu_init(void)
{
  // LCD display setup
  lcd.init();
  lcd.blink_off();
  lcd.cursor_off();
  lcd.backlight();
  lcd.noAutoscroll();

  menu.add_screen(welcome_screen);
  menu.add_screen(main_screen);
  menu.update();
}
#endif
